import React from "react";
import { Space, Row, Col, Image } from "antd";
import { useNavigate } from "react-router-dom";
import { sj_button } from "./Menu";
import Path from "./path/path";
import QRcode from '../static/web/home/code.png';
import "./path/path.css";
import './style/pagefooter.less';

const PageFooter = () => {
  const navigator = useNavigate();
  const Goto = (url) => {
    navigator(url);
  }
  return (
    <>
      <div className="page_footer">
        <Row>
          {sj_button({ alignItems: 'start' })}
          <Col span={2}>
            <Space direction="vertical">
              <h3 onClick={() => Goto('/product')}>产品</h3>
              <p onClick={() => Goto('/oa')}>OA</p>
              <p onClick={() => Goto('/finance')}>财务</p>
            </Space>
          </Col>
          <Col span={2}>
            <Space direction="vertical">
              <h3 onClick={() => Goto('/solution')}>解决方案</h3>
            </Space>
          </Col>
          <Col span={2}>
            <Space direction="vertical">
              <h3 onClick={() => Goto('/about')}>关于我们</h3>
              <p onClick={() => Goto('/contact_us')}>联系我们</p>
            </Space>
          </Col>
          <Col span={5} offset={9}>
            <Space
              direction="vertical"
              align="center"
            >
              <Image src={QRcode} preview={false} width={100} height={100} />
              <span style={{ color: '#fff' }}>关注微信公众号第一时间掌握企业动态</span>
            </Space>
          </Col>
        </Row>
        <Row justify='center' style={{ marginTop: 20 }}>
          <Path />
        </Row>
      </div>
    </>
  );
};

export default PageFooter;
