import { Col, Row } from "antd";
import React from "react";
import Layout from "../Layout";
import { HeaderImg } from "./Solution";
import Mount from "./Map";
import { AimOutlined, CustomerServiceOutlined, UnorderedListOutlined } from '@ant-design/icons';
import './style/about.less';

const ContactUs = () => {
    return (<>
        <Layout>
            <HeaderImg />
            <div className="about_container">
                <h2>联系我们</h2>
                <p>根据您的企业情况为您定制化经营管理解决方案</p>
                <Row justify='space-around'>
                    <Col>
                        <AimOutlined />
                        <p>地址：四川省成都市武侯区时代晶座3栋1103号</p>
                    </Col>
                    <Col>
                        <CustomerServiceOutlined />
                        <div className="contact_way">
                            <p>联系方式：4007-000-000</p>
                            <p>传真:0755-000-22222-22</p>
                        </div>
                    </Col>
                    <Col>
                        <UnorderedListOutlined />
                        <p>在线咨询：有任何疑问或需求可立即在线咨询我们</p>
                    </Col>
                </Row>
                <Mount />
            </div>
        </Layout>
    </>)
};

export default ContactUs;